%define		orgname		kdevelop-php
%define		_kdevelopver	4.5.1
%define		_state		stable
%define		kdever		4.10.0
%define		qtver		4.8.0

Summary:	PHP plugins for kdevelop
Summary(pl.UTF-8):	Wtyczki PHP dla kdevelop
Name:		kde4-kdevelop-plugin-php
Version:	1.5.1
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/kdevelop/%{_kdevelopver}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	a03d561d42acf5114de9d43dbbeee5b5
Source1:	ftp://ftp.kde.org/pub/kde/%{_state}/kdevelop/%{_kdevelopver}/src/%{orgname}-docs-%{version}.tar.bz2
# Source1-md5:	afb85bfdbd8863d8558baf9b29b77648
URL:		http://www.kdevelop.org/
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdevelop-pg-qt
BuildRequires:	kde4-kdevplatform-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-kdevelop >= %{_kdevelopver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP plugins for kdevelop.

%description -l pl.UTF-8
Wtyczki PHP dla kdevelop.

%prep
%setup -q -n %{orgname}-%{version} -a1

%build
install -d build
cd build
%cmake \
	../
%{__make}
cd ../

cd %{orgname}-docs-%{version}
install -d build
cd build
%cmake \
	../
%{__make}
cd ../

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%{__make} -C %{orgname}-docs-%{version}/build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f kdevelop-php.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kdevphpdocs.so
%attr(755,root,root) %{_libdir}/kde4/kdevphpdocs_config.so
%attr(755,root,root) %{_libdir}/kde4/kdevphplanguagesupport.so
%attr(755,root,root) %{_libdir}/kde4/kdevphpunitprovider.so
%attr(755,root,root) %{_libdir}/libkdev4phpcompletion.so
%attr(755,root,root) %{_libdir}/libkdev4phpduchain.so
%attr(755,root,root) %{_libdir}/libkdev4phpparser.so
%dir %{_datadir}/apps/kdevappwizard
%dir %{_datadir}/apps/kdevappwizard/templates
%{_datadir}/apps/kdevappwizard/templates/simple_phpapp.tar.bz2
%dir %{_datadir}/apps/kdevphpsupport
%{_datadir}/apps/kdevphpsupport/phpfunctions.php
%{_datadir}/apps/kdevphpsupport/phpunitdeclarations.php
%{_datadir}/config.kcfg/phpdocssettings.kcfg
%{_datadir}/kde4/services/kdevphpsupport.desktop
%{_datadir}/kde4/services/kdevphpdocs.desktop
%{_datadir}/kde4/services/kdevphpdocs_config.desktop
%{_datadir}/kde4/services/kdevphpunitprovider.desktop
%changelog
* Mon Jul 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdevelop-plugin-php.git;a=log;h=master

* Mon Jul 22 2013 Jan Rękorajski <baggins@pld-linux.org> e0e42af
- updated files

* Sun Jul 21 2013 Jan Rękorajski <baggins@pld-linux.org> 5d5413b
- up to 1.5.1

* Fri Oct 26 2012 Paweł Sikora <pawel.sikora@agmk.net> ea3e2a5
- updated to 1.4.0.

* Tue Mar 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a14d0f
- up to 1.3.0

* Thu Jun 30 2011 Andrzej Augustyński <august84@pld-linux.org> 0400061
- up to 1.2.3

* Tue May 24 2011 lisu <lisu@pld-linux.org> f6ff790
- rel 2

* Fri Apr 08 2011 Andrzej Augustyński <august84@pld-linux.org> a5b29ef
- up to 1.2.2

* Tue Jan 25 2011 Andrzej Augustyński <august84@pld-linux.org> 1b7006d
- up to 1.2.0
- adjusted to new cmake macro

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 8dfe6d7
- BR: gettext-devel
- Warning: build requires soprano-devel (indirectly)

* Tue Oct 26 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3dd4485
- up to 1.1.0

* Thu Sep 02 2010 shadzik <shadzik@pld-linux.org> ec19419
- 1.0.2

* Tue Jul 20 2010 shadzik <shadzik@pld-linux.org> 08dfea4
- Source

* Sat Jul 17 2010 shadzik <shadzik@pld-linux.org> cd9dea6
- R: kde4-kdevelop >= %{_kdevelopver}

* Sat Jul 17 2010 shadzik <shadzik@pld-linux.org> e622bab
- %find_lang

* Sat Jul 17 2010 shadzik <shadzik@pld-linux.org> 705a7a2
- add BR versions
- kill implicit QtSvg-devel Br

* Sat Jul 17 2010 shadzik <shadzik@pld-linux.org> 26f51a5
- 1.0.1
- this spec needs a lot of love and kde4 unification

* Sun May 16 2010 Andrzej Augustyński <august84@pld-linux.org> 8d4b295
- add missing BRs
- duplicated BR QtTest-devel removed (already in kde4-kdevplatform-devel)

* Sun May 16 2010 sparky <sparky@pld-linux.org> 504cd30
- BR: QtTest-devel, automoc4, qt4-build, qt4-qmake

* Sun May 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b5e203f
- BR kde4-kdelibs-devel

* Thu Apr 29 2010 Andrzej Augustyński <august84@pld-linux.org> dcf576f
- up to 1.0.0

